2008年08月18日

sketup ruby api viewの幅と高さ

viewの幅と高さは

vpwidth

vpheight

で求めます。






model = Sketchup.active_model
view = model.active_view
width = view.vpwidth
height = view.vpheight

puts width
puts height
posted by 3D at 06:31| Comment(14) | TrackBack(0) | 日記

2008年08月12日

2008年08月05日

sketchup ruby api 線の位置

sketchup ruby api 線の開始位置と終了位置は
次のように求めます。

entがSketchup::Edgeのとき
ent.start.positionで開始位置
ent.end.positionで終了位置を求めます。




def puts_position()

model = Sketchup.active_model
ss = model.selection
if( ss.empty? )
return nil
end

for ent in ss
if( ent.is_a? Sketchup::Edge )
puts ent.start.position
puts ent.end.position
end
end

end

posted by 3D at 08:03| Comment(0) | TrackBack(0) | 日記

2008年08月03日

3DSデータのインポート

http://www.model-wave.com/page.cgi?page=html/freedata.html
に無料の3DSファイルがあったので、ダウンロードして、
sketchupのファイルメニューのインポートで
インポートしてみました。

s2.jpg

えらく大きい、テレビがインポートできました。
人とサイズを比べてください。
posted by 3D at 07:28| Comment(2) | TrackBack(0) | 日記

2008年08月02日

sketchup ruby api send_action

sketchupのrubyのapiでsend_actionというものがあります。

Sketchup.send_action( "viewBack:")
とすると、
背面からのビューに切り替わります。

以下のアクションがあります。

showRubyPanel:
viewBack:
viewBottom:
viewFront:
viewIso:
viewLeft:
viewRight:
viewTop:
viewPerspective:
viewShowAxes:
viewShowHidden:
viewZoomExtents:
viewZoomToSelection:
viewUndo:
selectOrbitTool:
selectPositionCameraTool:
selectDollyTool:
selectTurnTool:
selectWalkTool:
selectZoomTool:
selectFieldOfViewTool:
selectZoomWindowTool:
pageAdd:
pageDelete:
pageUpdate:
pageNext:
pagePrevious:
renderWireframe:
renderHiddenLine:
renderMonochrome:
renderShaded:
renderTextures:
selectArcTool:
selectAxisTool:
selectCircleTool:
selectEraseTool:
selectFreehandTool:
selectLineTool:
selectMeasureTool:
selectMoveTool:
selectOffsetTool:
selectPaintTool:
selectPolygonTool:
selectProtractorTool:
selectPushPullTool:
selectRectangleTool:
selectRotateTool:
selectScaleTool:
selectSectionPlaneTool:
selectTextTool:
selectDimensionTool:
selectExtrudeTool:
selectSelectionTool:
editUndo:
editRedo:
editHide:
editUnhide:
fixNonPlanarFaces:

http://groups.google.com/group/SketchUp-Plugins-Dev/web/Ruby-Sketchup.html#send_action
posted by 3D at 07:30| Comment(0) | TrackBack(0) | 日記

2008年08月01日

sketchup ruby api 角度

2本のベクターの角度を求めるのには angle_betweenを使います。
結果はラジアンで帰ってきます。

def angle vector = Geom::Vector3d.new 1,0,0 vector2 = Geom::Vector3d.new 0,1,0 angle = vector.angle_between vector2 puts angle puts angle*180/Math::PI end

posted by 3D at 06:36| Comment(0) | TrackBack(0) | 日記